Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.web.dhtml
Interface DHTMLWriter

    public interface DHTMLWriter

Method Summary
`byte[]` | `buildTOC(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String nodeValue, java.lang.String pageNum, java.lang.String x, java.lang.String y, int level)` Returns a byte array of XML files about TOC tree.
`byte[]` | `exportReport(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Deprecated. Returns the result of the current page of the active report.
`byte[]` | `exportReport(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.util.Map context)` Returns the result of the current page of the active report.
`java.lang.String` | `getConnectFrame(java.lang.String RptName)` Returns a string of the connecting frame. If no frame setting is true, eturn HTML div tag; otherwise HTML iframe tag.
`java.lang.String` | `getReportBrowser(java.lang.String rptName, int left, int top, java.lang.String width, java.lang.String height, boolean isDisplay, java.lang.String bgColor, java.lang.String position)` Returns a string of the report. If no frame setting is true, return HTML div tag; otherwise HTML iframe tag.
`byte[]` | `publishCss(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Returns the style sheet of the current page of the active report.
`byte[]` | `writeBusinessCubeTree(java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String businessCubeName, boolean includeDetail, java.lang.String[] filterInBLnames, java.lang.String includeRCName)` Returns a byte array of XML files about business cube tree.
`java.lang.String` | `writeDSTreeofComponent(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid)` Returns a string of XML files about DSO tree of the specified component.
`java.lang.String` | `writeDSTreeofComponentByInstanceName(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String instName)` Returns a string of XML files about DSO tree of the specified component.
`java.lang.String` | `writeHeader(java.lang.String RptName, boolean isConnectPage, java.lang.String[] JsFiles, java.lang.String[] CssFiles, java.lang.String PageTitle)` Returns a string of HTML script and link tags. This method should be used with the early V7.3 version.

Method Detail

### writeBusinessCubeTree

    byte[] writeBusinessCubeTree(java.lang.String rptSetId,
                                 java.lang.String rptName,
                                 java.lang.String subRptKey,
                                 java.lang.String businessCubeName,
                                 boolean includeDetail,
                                 java.lang.String[] filterInBLnames,
                                 java.lang.String includeRCName)

  Returns a byte array of XML files about business cube tree.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/builddso.jsp.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `businessCubeName` - the business cube name.
    `includeDetail` - whether to include the detail information objects.
    `filterInBLnames` - not used.
    `includeRCName` - whether to include the RC objects.
  Returns:
    a byte array of XML files about business cube tree.

### publishCss

    byte[] publishCss(java.lang.String sessionId,
                      java.lang.String rptSetId,
                      java.lang.String rptName)
                      throws jet.JDException

  Returns the style sheet of the current page of the active report.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the style sheet of the current page of the active report.
  Throws:
    `jet.JDException`

### exportReport

    byte[] exportReport(java.lang.String sessionId,
                        java.lang.String rptSetId,
                        java.lang.String rptName)
                        throws jet.JDException

  Deprecated. Returns the result of the current page of the active report.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the result of the current page of the active report.
  Throws:
    `jet.JDException`
  See Also:
    `#exportReport(String, String, String, java.util.Map)}`

### buildTOC

    byte[] buildTOC(java.lang.String sessionId,
                    java.lang.String rptSetId,
                    java.lang.String rptName,
                    java.lang.String nodeValue,
                    java.lang.String pageNum,
                    java.lang.String x,
                    java.lang.String y,
                    int level)

  Returns a byte array of XML files about TOC tree.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/builddso.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `nodeValue` - the current node value. If it is null, returns the toc tree from the root; otherwise, return the toc tree from the specified node.
    `pageNum` - not used.
    `x` - not used.
    `y` - not used.
    `level` - not used.
  Returns:
    a byte array of XML files about TOC tree.

### getConnectFrame

    java.lang.String getConnectFrame(java.lang.String RptName)

  Returns a string of the connecting frame.
  If no frame setting is true, eturn HTML div tag; otherwise HTML iframe tag.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/connect.jsp.

  Parameters:
    `rptName` - the report name.
  Returns:
    a string of the connecting frame.

### getReportBrowser

    java.lang.String getReportBrowser(java.lang.String rptName,
                                      int left,
                                      int top,
                                      java.lang.String width,
                                      java.lang.String height,
                                      boolean isDisplay,
                                      java.lang.String bgColor,
                                      java.lang.String position)

  Returns a string of the report.
  If no frame setting is true, return HTML div tag; otherwise HTML iframe tag.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/rptmain.jsp.

  Parameters:
    `rptName` - the report name.
    `left` - refer to CSS left property.
    `top` - refer to CSS top property.
    `width` - refer to CSS width property.
    `height` - refer to CSS height property.
    `isDisplay` - refer to CSS display property, if false, 'style.display=none'; otherwise, default value.
    `bgColor` - refer to CSS background property.
    `position` - refer to CSS position property.
  Returns:
    a string of the report.

### writeHeader

    java.lang.String writeHeader(java.lang.String RptName,
                                 boolean isConnectPage,
                                 java.lang.String[] JsFiles,
                                 java.lang.String[] CssFiles,
                                 java.lang.String PageTitle)

  Returns a string of HTML script and link tags.
  This method should be used with the early V7.3 version.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/header.jsp.

  Parameters:
    `RptName` - the report name.
    `isConnectPage` - if true, it is connecting page; otherwise HTML script tag.
    `JsFiles` - the javascript files which are used in the HTML page.
    `CssFiles` - the CSS files which are used in the HTML page.
    `PageTitle` - the title which is used in the HTML page. Not used.
  Returns:
    Returns a string of HTML.

### writeDSTreeofComponent

    java.lang.String writeDSTreeofComponent(java.lang.String sessionId,
                                            java.lang.String rptSetId,
                                            java.lang.String rptName,
                                            java.lang.String dsid)

  Returns a string of XML files about DSO tree of the specified component.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `dsid` - ID of the result object.
  Returns:
    a string of XML files about DSO tree.

### writeDSTreeofComponentByInstanceName

    java.lang.String writeDSTreeofComponentByInstanceName(java.lang.String sessionId,
                                                          java.lang.String rptSetId,
                                                          java.lang.String rptName,
                                                          java.lang.String instName)

  Returns a string of XML files about DSO tree of the specified component.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `instName` - the component name.
  Returns:
    a string of XML files about DSO tree.

### exportReport

    byte[] exportReport(java.lang.String sessionId,
                        java.lang.String rptSetId,
                        java.lang.String rptName,
                        java.util.Map context)
                        throws jet.JDException

  Returns the result of the current page of the active report.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/report.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `context` - the informations when exporting reports. Includes "jrd.param.getfileurl", "jrd.param.encoding";
  Returns:
    the result of the current page of the active report.
  Throws:
    `jet.JDException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD